<?php
define('WP_INSTALLING', true);

require_once('../wp-includes/compat.php');
require_once('../wp-includes/functions.php');

if (!file_exists('../wp-config-sample.php'))
	wp_die('Entschuldigen Sie, WordPress braucht die Datei wp-config-sample.php zur Installation. Bitte laden Sie die Datei ins WordPress Verzeichnis neu hoch.');

$configFile = file('../wp-config-sample.php');

if ( !is_writable('../')) 
	wp_die("Entschuldigen Sie, WordPress kann leider nicht ins Verzeichnis schreiben, da Rechtefehler bestehen. Um weiter zu machen m&uuml;ssen Sie Rechte des WordPress Verzeichnises richtig setzen oder die wp-config.php manuall anlegen.");

// Check if wp-config.php has been created
if (file_exists('../wp-config.php'))
	wp_die("<p>Die Datei <code>wp-config.php</code> existiert bereits. Wenn Sie diesen Schritt schon absolviert haben, <a href='install.php'>k&ouml;nnen Sie die WordPress-Installation abschlie&szlig;en</a>. Falls Sie jedoch die wp-config.php neu anlegen m&ouml;chten, m&uuml;ssen Sie sie zu erst l&ouml;schen.</p>");

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

function display_header(){
	header( 'Content-Type: text/html; charset=utf-8' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>WordPress &rsaquo; Installationsassistent</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style media="screen" type="text/css">
	<!--
	html {
		background: #eee;
	}
	body {
		background: #fff;
		color: #000;
		font-family: Georgia, "Times New Roman", Times, serif;
		margin-left: 20%;
		margin-right: 20%;
		padding: .2em 2em;
	}

	h1 {
		color: #006;
		font-size: 18px;
		font-weight: lighter;
	}

	h2 {
		font-size: 16px;
	}

	p, li, dt {
		line-height: 140%;
		padding-bottom: 2px;
	}

	ul, ol {
		padding: 5px 5px 5px 20px;
	}
	#logo {
		margin-bottom: 2em;
	}
	.step a, .step input {
		font-size: 2em;
	}
	td input {
		font-size: 1.5em;
	}
	.step, th {
		text-align: right;
	}
	#footer {
		text-align: center;
		border-top: 1px solid #ccc;
		padding-top: 1em;
		font-style: italic;
	}
	-->
	</style>
</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//end function display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Willkommen bei WordPress. Es kann gleich mit der Installation losgehen, jedoch braucht WordPress noch einige Informationen:</p>
<ol>
	<li>den Datenbanknamen</li>
	<li>den Benutzernamen f&uuml;r die Datenbank</li>
	<li>das Passwort</li>
	<li>den Datenbankserver</li>
	<li>sowie das Tabellenpr&auml;fix, (wenn Sie mehrere WordPress-Installationen in eine Datenbank halten wollen)</li>
</ol>
<p><strong>Sollte das automatische Erstellen der Konfigurationsdatei fehlschlagen, so ist das kein Problem. Es wird nicht gemacht, auer dass die Datenbank-Informationen in die Datei geschrieben werden. Sie knnen auch einfach die Datei <code>wp-config-sample.php</code> in einem Texteditor ffnen, die Datenbank-Informationen eingeben und die Datei als <code>wp-config.php</code> speichern.</strong></p>
<p>Die Datenbank-Informationen wurden Ihnen aller Wahrscheinlichkeit nach von Ihrem Hosting-Anbieter bereitgestellt. Falls Sie diese Informationen nicht haben, mssen Sie sie erfragen, bevor Sie fortfahren knnen. Wenn Sie soweit sind, <a href="setup-config.php?step=1">kann es losgehen</a>! </p>
<?php
	break;

	case 1:
		display_header();
	?>
</p>
<form method="post" action="setup-config.php?step=2">
	<p>Geben Sie im Folgenden die Verbindungsdaten Ihrer Datenbank ein. Falls Sie nicht sicher sind, wenden Sie sich bitte an Ihren Hosting-Anbieter. </p>
	<table>
		<tr>
			<th scope="row">Datenbankname</th>
			<td><input name="dbname" type="text" size="25" value="wordpress" /></td>
			<td>Der Name der Datenbank, in der die WordPress-Daten gehalten werden.</td>
		</tr>
		<tr>
			<th scope="row">Benutzername</th>
			<td><input name="uname" type="text" size="25" value="benutzer" /></td>
			<td>Ihr MySQL-Benutzername</td>
		</tr>
		<tr>
			<th scope="row">Passwort</th>
			<td><input name="pwd" type="text" size="25" value="passwort" /></td>
			<td>Ihr MySQL-Passwort</td>
		</tr>
		<tr>
			<th scope="row">Datenbankhost</th>
			<td><input name="dbhost" type="text" size="25" value="localhost" /></td>
			<td>Diesen Wert werden Sie vermutlich nicht &auml;ndern m&uuml;ssen.</td>
		</tr>
		<tr>
			<th scope="row">Tabellenpr&auml;fix</th>
			<td><input name="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>Falls Sie mehrere WordPress-Installationen in eine Datenbank halten mchten.</td>
		</tr>
	</table>
	<h2 class="step">
	<input name="submit" type="submit" value="Senden" />
	</h2>
</form>
<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Test the db connection.
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);

	// We'll fail here if the values are no good.
	require_once('../wp-includes/wp-db.php');
	$handle = fopen('../wp-config.php', 'w');

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("putyourdbnamehere", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'usernamehere'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'yourpasswordhere'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			default:
				fwrite($handle, $line);
		}
	}
	fclose($handle);
	chmod('../wp-config.php', 0666);
	
	display_header();
?>
<p>Sehr gut! Dieser Teil der Installation ist abgeschlossen. WordPress kann nun Verbindung mit Ihrer Datenbank aufnehmen. Wenn Sie soweit sind, kann es <a href="install.php">mit der eigentlichen Installation losgehen</a>!</p>
<?php
	break;
}
?>
<p id="footer"><a href="http://wordpress.org/">WordPress</a>, die fhrende Weblog-Anwendung.</p>
</body>
</html>
